Skip to main content
GET
/
v2
/
aether
/
playbook
/
proposals
/
{proposal_id}
Get Proposal
curl --request GET \
  --url https://api.example.com/v2/aether/playbook/proposals/{proposal_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "title": "<string>",
  "article_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "content": "<string>",
  "customer_id": "<string>",
  "description": "<string>",
  "extraction_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "review_notes": "<string>",
  "reviewed_at": "2023-11-07T05:31:56Z",
  "reviewed_by": "<string>",
  "segment_id": "<string>",
  "source_excerpts": [
    {
      "text": "<string>",
      "page": 123
    }
  ],
  "stale": false
}

Documentation Index

Fetch the complete documentation index at: https://docs.api.stuut.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

proposal_id
string
required

Response

Successful Response

id
string<uuid>
required

Proposal ID

created_at
string<date-time>
required

When this proposal was created

action
enum<string>
required

Create, revise, or archive

Available options:
archive,
create,
revise
status
enum<string>
required

Pending, approved, or rejected

Available options:
pending,
approved,
rejected
title
string
required

Proposed article title

article_id
string<uuid> | null

Target article

content
string | null

Proposed article content

customer_id
string | null

Proposed customer scope

description
string | null

Proposed article description

collection
enum<string> | null

Proposed collection

Available options:
cash_application,
collections,
company,
credit_risk,
deductions,
disputes,
payments
extraction_id
string<uuid> | null

Extraction job that produced this

knowledge_type
enum<string> | null

Proposed knowledge type

Available options:
declarative,
document,
procedural
review_notes
string | null

Reviewer's notes

reviewed_at
string<date-time> | null

When reviewed

reviewed_by
string | null

User who reviewed

segment_id
string | null

Proposed segment scope

source_excerpts
SourceExcerpt · object[] | null

Verbatim excerpts from the source

stale
boolean
default:false

True when target article was modified after proposal creation